Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMessageBox.Icon

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMessageBox.Icon

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMessageBox

    public static final class QMessageBox.Icon

extends java.lang.Enum
implements QtEnumerator

This enum has the following values.

See Also:
  Serialized Form

Field Summary
`static QMessageBox.Icon` | `Critical` an icon indicating that the message represents a critical problem.
`static QMessageBox.Icon` | `Information` an icon indicating that the message is nothing out of the ordinary.
`static QMessageBox.Icon` | `NoIcon` the message box does not have any icon.
`static QMessageBox.Icon` | `Question` an icon indicating that the message is asking a question.
`static QMessageBox.Icon` | `Warning` an icon indicating that the message is a warning, but can be dealt with.

Method Summary
`static QMessageBox.Icon` | `resolve(int value)` Returns the Icon constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMessageBox.Icon` | `valueOf(java.lang.String name)`
`static QMessageBox.Icon[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoIcon

    public static final QMessageBox.Icon NoIcon

  the message box does not have any icon.

### Information

    public static final QMessageBox.Icon Information

  an icon indicating that the message is nothing out of the ordinary.

### Warning

    public static final QMessageBox.Icon Warning

  an icon indicating that the message is a warning, but can be dealt with.

### Critical

    public static final QMessageBox.Icon Critical

  an icon indicating that the message represents a critical problem.

### Question

    public static final QMessageBox.Icon Question

  an icon indicating that the message is asking a question.

Method Detail

### values

    public static QMessageBox.Icon[] values()

### valueOf

    public static QMessageBox.Icon valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMessageBox.Icon resolve(int value)

  Returns the Icon constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD